services:
  _defaults:
    autowire: true
    autoconfigure: true

  AutoAdmin\Bundle\Core\Command\AutoAdminInstallerCommand:
    tags: [ 'console.command' ]

  AutoAdmin\Bundle\Core\Util\CaseConverter:
    public: true

  AutoAdmin\Bundle\Core\Util\SizeConverter:
    public: true

  AutoAdmin\Bundle\Core\Twig\UtilExtension:
    arguments:
      - '@AutoAdmin\Bundle\Core\Helper\CacheSuffixHelper'
    tags:
      - 'twig.extension'

  AutoAdmin\Bundle\Core\Helper\CacheSuffixHelper:
    arguments:
      - '%kernel.project_dir%'

  AutoAdmin\Bundle\Core\Slugger\Slugger:
    public: true

  AutoAdmin\Bundle\Core\Twig\SluggerExtension:
    tags:
      - { name: 'twig.extension' }
    arguments:
      - '@AutoAdmin\Bundle\Core\Slugger\Slugger'

  AutoAdmin\Bundle\Core\Cache\CacheAdapterConfigurator:
    arguments:
      - '%kernel.project_dir%'

  AutoAdmin\Bundle\Core\Upload\FileVerifier:
    public: true

  AutoAdmin\Bundle\Core\Logic\LogicTester:
    public: true

  AutoAdmin\Bundle\Core\Doctrine\ListenerStateManager:
    public: true

  AutoAdmin\Bundle\Core\Doctrine\DoctrineInterfaceAliasResolver:
    public: true

  AutoAdmin\Bundle\Core\EventListener\OrderBySequenceListener:
    tags:
      - { name: doctrine.event_listener, event: loadClassMetadata }
